
Redmine - Patch #6169

Add issue status to issue tooltip...

2010-08-18 15:37 - Nick Peelman

Status: Closed Start date: 2010-08-18

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 1.0.1   

Description

Would be incredibly nice...

--- issues_helper.rb

+++ (clipboard)

@@ -30,14 +30,12 @@

   end

   def render_issue_tooltip(issue)

+    @cached_label_status ||= l(:field_status)

     @cached_label_start_date ||= l(:field_start_date)

     @cached_label_due_date ||= l(:field_due_date)

     @cached_label_assigned_to ||= l(:field_assigned_to)

     @cached_label_priority ||= l(:field_priority)

     link_to_issue(issue) + "<br /><br />" +

+      "<strong>#{@cached_label_status}</strong>: #{issue.status.name}<br />" +

       "<strong>#{@cached_label_start_date}</strong>: #{format_date(issue.start_date)}<br />" +

       "<strong>#{@cached_label_due_date}</strong>: #{format_date(issue.due_date)}<br />" +

       "<strong>#{@cached_label_assigned_to}</strong>: #{issue.assigned_to}<br />" +

Associated revisions

Revision 3952 - 2010-08-19 05:43 - Eric Davis

Add Issue Status to the tooltip. #6169

Contributed by Nick Peelman

History

#1 - 2010-08-19 03:30 - Eric Davis

- Category set to UI

- Assignee set to Eric Davis

- Target version set to 1.0.1

#2 - 2010-08-19 05:41 - Eric Davis

- Status changed from New to Resolved

- % Done changed from 0 to 100

Added in r3952.  Thank you for the contribution.

#3 - 2010-08-19 06:35 - Eric Davis

- Status changed from Resolved to Closed

Merged to 1.0-stable for release in 1.0.1.
